%global momorel 2

Summary: The GNU version of the awk text processing utility.
Name: gawk
Version: 3.1.4
Release: %{momorel}m
License: GPL
Group: Applications/Text
URL: http://www.gnu.org/directory/gawk.html
%NoSource 0 ftp://ftp.ne.jp/GNU/gawk/gawk-%{version}.tar.bz2 b8b532beaf02350e69d2d5dc98cb1e37
%NoSource 1 ftp://ftp.ne.jp/GNU/gawk/gawk-%{version}-ps.tar.gz 2d5b69cfbdd930e3cd88f0574cd2e7a2
Patch0: gawk-3.1.3-getpgrp_void.patch
Patch1: gawk-3.1.4-dfacache.patch
Patch2: gawk-3.1.4-flonum.patch
Patch3: gawk-3.1.4-nextc.patch
Patch4: gawk-3.1.4-uplow.patch
Prereq: info
Provides: awk
Provides: /usr/bin/awk
Provides: /bin/awk
Provides: /usr/bin/gawk
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%prep
%setup -q -b 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%global _bindir /bin
%global _libexecdir %{_prefix}/libexec/awk
# XXX: macros.momonga should be fixed?
%global _datadir %{_prefix}/share/awk
%global _mandir %{_prefix}/share/man
%global _infodir %{_prefix}/share/info

%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%__rm -f %{buildroot}%{_infodir}/dir

%__mkdir_p %{buildroot}%{_prefix}/bin
%__ln_s -f ../../bin/gawk %{buildroot}%{_prefix}/bin/awk
%__ln_s -f ../../bin/gawk %{buildroot}%{_prefix}/bin/gawk

%__cat <<EOF > %{buildroot}%{_mandir}/man1/awk.1
.so man1/gawk.1
EOF

%__mv %{buildroot}%{_datadir}/locale %{buildroot}%{_prefix}/share

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/gawk.info %{_infodir}/dir
/sbin/install-info %{_infodir}/gawkinet.info %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/gawk.info %{_infodir}/dir
  /sbin/install-info --delete %{_infodir}/gawkinet.info %{_infodir}/dir
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING FUTURES INSTALL LIMITATIONS NEWS
%doc README_d POSIX.STD doc/gawk.ps doc/awkcard.ps
/bin/*
%{_prefix}/bin/*
%{_mandir}/man1/*
%{_infodir}/*
%{_libexecdir}
%{_datadir}

%changelog
* Mon Feb 28 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.4-2m)
  import some patches(FC dev. 3.1.4-4)

* Tue Feb 22 2005 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.4-1m)
  update to 3.1.4
  
* Tue Sep 28 2004 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.1.3-5m)
- When %%{_datadir} is redifined in spec, 
  %%{_mandir} and %%{_infodir} are also redifined (see macros.momonga),
  and thus mans and infos are installed into incorrect location.
  This should be the problem of macros.momonga, but I tentatively
  redifine %%{_mandir} and %%{_infodir} in this spec.
- install gawkinet.info

* Tue Nov 18 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.3-4m)
- fix %%files section for /usr/bin/*
- BTS report id=5

* Sun Oct 26 2003 Kenta MURATA <muraken2@nifty.com>
- (3.1.3-3m)
- pretty spec file.
- include gettext message database.

* Thu Oct 23 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (3.1.3-2m)
- append "Provides: /usr/bin/gawk"

* Wed Oct 22 2003 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.1.3-1m)
- update to 3.1.3
- remove IBM i18n patch (appear to be marged to original distribution)
- add patches from RawHide (3.1.3-3)
-
- * Mon Sep 22 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- - add even more patches from the mailinglist
-
- * Tue Jul 15 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- - add first bug-fixes from the mailinglist
-
- * Sun Jul 13 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- - update to 3.1.3
- - pgawk man-page fix and /proc fix are obsolete

* Tue Dec 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.0-13m)
- provides /bin/awk.

* Tue Apr 30 2002 Toru Hoshina <t@kondara.org>
- (3.1.0-12k)
- provides awk.

* Tue Apr 30 2002 Motonobu Ichimura <famao@kondara.org>
- (3.1.0-10k)
- update i18n patch (0.3)

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.1.0-8k)
- /sbin/install-info -> info in PreReq.

* Fri Jan 11 2002 Shingo Akagaki <dora@kondara.org>
- (3.1.0-6k)
- automake autoconf 1.5

* Wed Nov 07 2001 Motonobu Ichimura <famao@kondara.org>
- (3.1.0-4k)
- fix man problem
- modify %doc

* Fri Oct 25 2001 Motonobu Ichimura <famao@kondara.org>
- (3.1.0-2k)
- up to 3.1.0
- added patch from IBM

* Fri Oct 25 2001 Motonobu Ichimura <famao@kondara.org>
- (3.06-8k)
- added patch from IBM

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Wed Aug 16 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to 3.06

* Tue Aug 15 2000 Trond Eivind Glomsr?<teg@redhat.com>
- /usr/bin/gawk can't point at gawk - infinite symlink
- /usr/bin/awk can't point at gawk - infinite symlink

* Mon Aug 14 2000 Preston Brown <pbrown@redhat.com>
- absolute --> relative symlinks

* Tue Aug  8 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix paths for "configure" call

* Thu Jul 13 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add another bugfix

* Thu Jul 13 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to 3.0.5 with bugfix

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- revert to 3.0.4.  3.0.5 misgenerates e2fsprogs' test cases

* Wed Jun 28 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update to 3.0.5

* Mon Jun 19 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add defattr

* Mon Jun 19 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- FHS

* Tue Mar 14 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add bug-fix

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix man page symlinks
- Fix description
- Fix download URL

* Wed Jun 30 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.0.4.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure all binaries are stripped

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 6)

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
